SKB_PUT(9)

NAME
skb_put - add data to a buffer

SYNOPSIS

unsigned char * skb_put (struct sk_buff * skb, unsigned int len);

ARGUMENTS

skb buffer to use

len amount of data to add

DESCRIPTION

This function extends the used data area of the buffer. If this would exceed the total buffer size the kernel will panic. A pointer to the first byte of the extra data is returned.